/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    // localhost:8000/api/** -> https://preview.pro.ant.design/api/**
    "/wms/": {
      // 要代理的地址
      target: "http://192.168.40.18/wms/", //39:28040    18/wms/  
      changeOrigin: true,
      pathRewrite: {
        "^/wms": "",
      },
    },
    "/staticfile/": {
      target: "http://192.168.40.2/",
      changeOrigin: true,
      pathRewrite: {
        "^/staticfile": "",
      },
    },
  },
  test: {
    "/api/": {
      target: "https://proapi.azurewebsites.net",
      changeOrigin: true,
      pathRewrite: {
        "^": "",
      },
    },
  },
  pre: {
    "/api/": {
      target: "your pre url",
      changeOrigin: true,
      pathRewrite: {
        "^": "",
      },
    },
  },
};
