export default [
  {
    path: "/user",
    layout: false,
    routes: [
      {
        path: "/user",
        routes: [
          {
            name: "登录",
            path: "/user/login",
            component: "./user/Login",
          },
          {
            name: "注册",
            path: "/user/logon",
            component: "./user/Logon",
          },
        ],
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/",
    redirect: "/welcome",
  },
  {
    path: "/welcome",
    name: "首页",
    icon: "smile",
    component: "./Welcome",
  },
  {
    path: "/wms",
    name: "入库管理",
    icon: "search",
    routes: [
      {
        path: "/wms/instore",
        name: "入库管理",
        component: "./insertstore/Instore",
      },
      {
        path: "/wms/outstore",
        name: "出库管理",
        component: "./outsetstore/Outstore",
      },
      {
        path: "/wms/stock",
        name: "库存查询",
        component: "./findstore/Storesearch",
      },
      {
        path: "/wms/record",
        name: "出入库记录",
        component: "./historystore/Histore",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/system",
    name: "系统基础管理",
    icon: "setting",
    routes: [
      {
        path: "/system",
        redirect: "/system/jiagou",
      },
      {
        path: "/system/staff",
        name: "用户管理",
        component: "./system/Staff",
      },
      {
        path: "/system/charactor",
        name: "角色管理",
        component: "./system/Charactor",
      },
      {
        path: "/system/jiagou",
        name: "组织管理",
        component: "./system/Jiagou",
      },
      {
        path: "/system/parts",
        name: "工厂管理",
        component: "./system/Parts",
      },

      // {
      //   path: "/system/productionline",
      //   name: "产线管理",
      //   component: "./system/Productionline",
      // },
      // {
      //   path: "/system/section",
      //   name: "工段管理",
      //   component: "./system/Section",
      // },
      {
        path: "/system/station",
        name: "工位管理",
        component: "./system/Station",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/craft",
    name: "工艺设置",
    icon: "setting",
    routes: [
      {
        path: "/craft",
        redirect: "/craft/process",
      },
      {
        path: "/craft/process",
        name: "工序管理",
        component: "./craft/Process",
      },
      {
        path: "/craft/gongyi",
        name: "工艺路线",
        component: "./craft/Gongyi",
      },

      {
        path: "/craft/gather",
        name: "采集站点",
        component: "./craft/Gather",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/platform",
    name: "系统管理",
    icon: "desktop",
    routes: [
      {
        path: "/platform",
        redirect: "/platform/dic",
      },
      {
        path: "/platform/dic",
        name: "数据字典",
        component: "./platform/Dic",
      },
      {
        path: "/platform/specialset",
        name: "特殊配置",
        component: "./platform/Specialset",
      },
      {
        path: "/platform/msgoption",
        name: "推送配置",
        component: "./platform/Sendset",
      },
      {
        path: "/platform/msgrecord",
        name: "推送记录",
        component: "./platform/Sendlist",
      },

      {
        path: "/platform/norule",
        name: "编号规则",
        component: "./platform/Rule",
      },
      {
        path: "/platform/specialproperties",
        name: "特殊属性",
        component: "./platform/Specialproperties",
      },
      {
        path: "/platform/labeltemplate",
        name: "标签模板",
        component: "./platform/Labeltemplate",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/store",
    name: "仓库基础数据",
    icon: "desktop",
    routes: [
      {
        path: "/store",
        redirect: "/store/materiel",
      },
      {
        path: "/store/material",
        name: "物料管理",
        component: "./craft/Materiel",
      },
      {
        path: "/store/position",
        name: "仓库管理",
        component: "./system/Store",
      },
      {
        path: '/store/supplier',
        name: '供应商管理',
        component: './platform/Provide',
      },
      {
        path: '/store/customer',
        name: '客户管理',
        component: './platform/Custom',
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/prodplay",
    name: "排产管理",
    icon: "snippets",
    routes: [
      {
        path: "/prodplay",
        redirect: "/prodplay/prodorder",
      },
      {
        path: "/prodplay/prodorder",
        name: "生产订单",
        component: "./prodplay/Prodorder",
      },
      {
        path: "/prodplay/shopplan",
        name: "车间计划",
        component: "./prodplay/Shopplan",
      },
      {
        path: "/prodplay/dispatchorder",
        name: "派工单",
        component: "./prodplay/Dispatchorder",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    path: "/gatherdata",
    name: "数据采集",
    icon: "usb",
    routes: [
      {
        path: "/gatherdata",
        redirect: "/gatherdata/gatherprocess",
      },
      {
        path: "/gatherdata/gatherprocess",
        name: "工序采集",
        component: "./gatherdata/Gatherprocess",
      },
      {
        component: "./404",
      },
    ],
  },
  {
    component: "./404",
  },
];
