import { useIntl } from "umi";
import { GithubOutlined } from "@ant-design/icons";
import { DefaultFooter } from "@ant-design/pro-layout";

const Footer = () => {
  const intl = useIntl();
  const currentYear = new Date().getFullYear();
  return (
    <DefaultFooter
      copyright={`${currentYear} 江苏南高智能装备创新中心出品`}
      links={[
        {
          key: "Ant Design Pro",
          title: "JiangSuNanGao",
          blankTarget: true,
        },
        {
          key: "github",
          title: <GithubOutlined />,
          blankTarget: true,
        },
        {
          key: "Designed By Wuhao",
          title: "Designed By Wuhao",
          blankTarget: true,
        },
      ]}
    />
  );
};

export default Footer;
