import {
  factorySelectRegister,
  shopSelectByFactory,
  productionLineSelectByShops,
  sectionSelectByShops,
  allUserSelect,
  departmentTree,
  roleSelectRegister,
} from "@/services/system";
export default {
  accountName: {
    value: null,
    type: "input",
    title: "用户名",
    name: ["accountName"],
    required: true,
  },
  userName: {
    value: null,
    type: "input",
    title: "姓名",
    name: ["userName"],
    required: true,
  },
  telephone: {
    value: null,
    type: "input",
    title: "联系电话",
    name: ["telephone"],
    required: false,
  },
  departmentId: {
    value: null,
    type: "treeselect",
    title: "组织",
    name: ["departmentId"],
    required: true,
    options: {
      database: departmentTree,
      params: {},
    },
  },
  factoryId: {
    value: null,
    type: "select",
    title: "工厂",
    name: ["factoryId"],
    required: true,
    options: {
      database: factorySelectRegister,
      params: {},
    },
    linked: true,
  },
  shopIdList: {
    value: [],
    type: "select",
    title: "负责仓库",
    name: ["shopIdList"],
    required: false,
    belinked: {
      options: {
        database: shopSelectByFactory,
        params: { factoryId: "linked" },
      },
    },
    linked: true,
    multiple: true,
  },
  roleIdList: {
    value: [],
    type: "select",
    title: "角色配置",
    name: ["roleIdList"],
    required: false,
    belinked: {
      options: {
        database: roleSelectRegister,
        params: {},
      },
    },
    multiple: true,
  },
  parentId: {
    value: null,
    type: "select",
    title: "直属领导",
    name: ["parentId"],
    required: false,
    belinked: {
      options: {
        database: allUserSelect,
        params: {},
      },
    },
  },
  mailNo: {
    value: null,
    type: "input",
    title: "邮箱",
    name: ["mailNo"],
    required: false,
    col: {
      span: 12,
    },
  },
  remark: {
    value: null,
    type: "textarea",
    title: "备注",
    name: ["remark"],
    required: false,
    col: { span: 24 },
  },

};
